FROM openjdk:8u181-jre-alpine

ENV  TIME_ZONE=Asia/Shanghai
RUN sed -i 's/dl-cdn.alpinelinux.org/mirrors.ustc.edu.cn/' /etc/apk/repositories
RUN apk update && apk add --no-cache tzdata curl\
&& echo "${TIME_ZONE}" > /etc/timezone \
&& ln -sf /usr/share/zoneinfo/${TIME_ZONE} /etc/localtime
COPY ./target/usm-web-1.0-SNAPSHOT.jar /
RUN mkdir /templates
WORKDIR /
HEALTHCHECK --interval=5s --timeout=3s CMD curl -fs http://localhost:38082/blueland-plateform-web/actuator/health || exit 1
EXPOSE 38082
CMD ["java", "-Xmx768m","-jar","usm-web-1.0-SNAPSHOT.jar"]